Bug 633420 - [6.1 FEAT] Tool to safety start getty through init - userspace
Summary: [6.1 FEAT] Tool to safety start getty through init - userspace
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: s390utils
Version: 6.1
Hardware: s390x
OS: All
high
high
Target Milestone: beta
: 6.1
Assignee: Dan Horák
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks: 538808 580566
TreeView+ depends on / blocked
 
Reported: 2010-09-13 18:12 UTC by IBM Bug Proxy
Modified: 2011-05-19 13:17 UTC (History)
8 users (show)

Fixed In Version: s390utils-1.8.2-30.el6.src.rpm
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:17:40 UTC


Attachments (Terms of Use)
s390-tools-rhel6-ttyrun.patch (10.09 KB, text/plain)
2010-12-01 12:00 UTC, IBM Bug Proxy
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0601 normal SHIPPED_LIVE s390utils bug fix and enhancement update 2011-05-19 09:37:30 UTC
IBM Linux Technology Center 67051 None None None Never

Description IBM Bug Proxy 2010-09-13 18:12:00 UTC
1. Feature Overview:
Feature Id: [67051]
a. Name of Feature: [6.1 FEAT] Tool to safety start getty through init - userspace
b. Feature Description
This feature provides a new tool: ttyrun, which safely starts getty programs and prevents re-spawns
through the init program if a terminal is not available. This is very useful when integrated in
inittab/startup since depending on your setup, Linux on System z might or might not provide a
particular terminal or console.

This feature provides the userspace/tool part. There is a dependent inittab/startup part which is
tracked by a different feature request.


2. Feature Details:
Sponsor: LTC zSeries BOE
Architectures:  zSeries - 64 native, 

Arch Specificity: purely arch specific code
Affects Kernel Modules: Field does not exist
Delivery Mechanism: Backport
Category: other
Request Type: Package - Feature from IBM
d. Upstream Acceptance: Field does not exist
Sponsor Priority P1
f. Severity: ship issue
IBM Confidential: No
Code Contribution: IBM code
g. Component Version Target:---

3. Business Case
Using this tool will prevent failing re-spawns, which will avoid customer confusion and increase of
system and logging activities.

4. Primary contact at Red Hat:
John Jarvis jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

Comment 2 Gonzalo Muelas Serrano 2010-09-24 13:37:34 UTC
Hello John,
this will be part of s390tools/utils and be provided as a backport to existing
RHEL 6.0 version.
Unfortunately through the mirroring this information got lost. I have updated
the component here directly.

Comment 3 IBM Bug Proxy 2010-10-04 15:15:57 UTC
------- Comment From rsisk@us.ibm.com 2010-10-04 10:36 EDT-------
Code Upstream Status: Accepted

Comment 4 John Jarvis 2010-10-04 18:20:20 UTC
IBM is signed up to test and provide feedback, setting OtherQA.

Comment 6 IBM Bug Proxy 2010-12-01 12:00:55 UTC
Created attachment 463957 [details]
s390-tools-rhel6-ttyrun.patch


------- Comment on attachment From brueckner@linux.vnet.ibm.com 2010-12-01 06:51 EDT-------


Summary:     ttyrun: run a program if a terminal device is available
Description: Depending on your setup, Linux on System z might or might not
             provide a particular terminal or console. ttyrun safely starts
             getty programs and prevents respawns through the init program
             if a terminal is not available.

Comment 8 John Jarvis 2010-12-01 14:56:10 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=633421 was CLOSED WONTFIX, is there any reason to continue with review of this patch?

Comment 10 IBM Bug Proxy 2011-01-21 15:41:23 UTC
------- Comment From mgrf@de.ibm.com 2011-01-21 10:39 EDT-------
independent if changes are done or not in upstart (RH BZ 633421), this tool/wrapper is still interesting to have it in s390util in RHEL on System z, so that the customer can use it manually if he has a need for it.

Comment 14 Chris Ward 2011-04-06 11:17:29 UTC
~~ Partners and Customers ~~

This bug was included in RHEL 6.1 Beta. Please confirm the status of this request as soon as possible.

If you're having problems accessing 6.1 bits, are delayed in your test execution or find in testing that the request was not addressed adequately, please let us know.

Thanks!

Comment 15 IBM Bug Proxy 2011-04-21 09:13:30 UTC
------- Comment From mgrf@de.ibm.com 2011-04-21 05:08 EDT-------
This is verified on R 6.1 snapshots - set to verified  Thx

Comment 16 errata-xmlrpc 2011-05-19 13:17:40 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0601.html

Comment 17 errata-xmlrpc 2011-05-19 13:17:42 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0601.html


Note You need to log in before you can comment on or make changes to this bug.